## nut 2.8.1

=== scripts/Windows/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# scripts/Windows/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Network UPS Tools: script/Windows


am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/nut
pkgincludedir = $(includedir)/nut
pkglibdir = $(libdir)/nut
pkglibexecdir = $(libexecdir)/nut
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
#bin_PROGRAMS = nut$(EXEEXT) halt$(EXEEXT)
subdir = scripts/Windows
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_c___attribute__.m4 \
	$(top_srcdir)/m4/ax_c_pragmas.m4 \
	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/ax_compare_version.m4 \
	$(top_srcdir)/m4/ax_realpath.m4 \
	$(top_srcdir)/m4/ax_run_or_link_ifelse.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nut_arg_with.m4 \
	$(top_srcdir)/m4/nut_check_asciidoc.m4 \
	$(top_srcdir)/m4/nut_check_aspell.m4 \
	$(top_srcdir)/m4/nut_check_cppcheck.m4 \
	$(top_srcdir)/m4/nut_check_headers_windows.m4 \
	$(top_srcdir)/m4/nut_check_libavahi.m4 \
	$(top_srcdir)/m4/nut_check_libfreeipmi.m4 \
	$(top_srcdir)/m4/nut_check_libgd.m4 \
	$(top_srcdir)/m4/nut_check_libgpiod.m4 \
	$(top_srcdir)/m4/nut_check_libltdl.m4 \
	$(top_srcdir)/m4/nut_check_libmodbus.m4 \
	$(top_srcdir)/m4/nut_check_libneon.m4 \
	$(top_srcdir)/m4/nut_check_libnetsnmp.m4 \
	$(top_srcdir)/m4/nut_check_libnss.m4 \
	$(top_srcdir)/m4/nut_check_libopenssl.m4 \
	$(top_srcdir)/m4/nut_check_libpowerman.m4 \
	$(top_srcdir)/m4/nut_check_libregex.m4 \
	$(top_srcdir)/m4/nut_check_libsystemd.m4 \
	$(top_srcdir)/m4/nut_check_libusb.m4 \
	$(top_srcdir)/m4/nut_check_libwrap.m4 \
	$(top_srcdir)/m4/nut_check_os.m4 \
	$(top_srcdir)/m4/nut_check_pkgconfig.m4 \
	$(top_srcdir)/m4/nut_check_python.m4 \
	$(top_srcdir)/m4/nut_check_socketlib.m4 \
	$(top_srcdir)/m4/nut_compiler_family.m4 \
	$(top_srcdir)/m4/nut_func_getnameinfo_argtypes.m4 \
	$(top_srcdir)/m4/nut_report_feature.m4 \
	$(top_srcdir)/m4/nut_stash_warnings.m4 \
	$(top_srcdir)/m4/nut_type_socklen_t.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am__halt_SOURCES_DIST = halt.c
#am_halt_OBJECTS = halt.$(OBJEXT)
halt_OBJECTS = $(am_halt_OBJECTS)
halt_LDADD = $(LDADD)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
am__nut_SOURCES_DIST = wininit.c
#am_nut_OBJECTS = wininit.$(OBJEXT)
nut_OBJECTS = $(am_nut_OBJECTS)
#nut_DEPENDENCIES = ../../common/libcommon.la \
#	winevent.o
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)/include
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/halt.Po ./$(DEPDIR)/wininit.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(halt_SOURCES) $(nut_SOURCES)
DIST_SOURCES = $(am__halt_SOURCES_DIST) $(am__nut_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
A2X = /usr/bin/a2x
ACLOCAL = ${SHELL} '/home/jim/nut/missing' aclocal-1.16
ALTPIDPATH = /var/state/ups
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = /usr/bin/ar
ASCIIDOC = /usr/bin/asciidoc
ASPELL = /usr/bin/aspell
ASPELL_FILTER_LIB_PATH = /usr/lib/aspell
ASPELL_FILTER_SHARE_PATH = /usr/share/aspell
ASPELL_FILTER_TEX_PATH = /usr/lib/aspell/x86_64-linux-gnu
AUGPARSE = /usr/bin/augparse
AUTOCONF = ${SHELL} '/home/jim/nut/missing' autoconf
AUTOHEADER = ${SHELL} '/home/jim/nut/missing' autoheader
AUTOMAKE = ${SHELL} '/home/jim/nut/missing' automake-1.16
AWK = gawk
BINDIR = /usr/local/ups/bin
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -isystem /usr/local/include -g -O2 -Wno-reserved-identifier -Wno-unknown-warning-option -std=gnu99 -Wno-system-headers -Wall -Wextra -Wsign-compare -pedantic -Werror
CONFIG_FLAGS = --with-all --with-dev --with-doc --enable-spellcheck --enable-warnings --enable-Werror --enable-maintainer-mode
CONFPATH = /usr/local/ups/etc
CPP = gcc -E
CPPCHECK = /usr/bin/cppcheck
CPPFLAGS = 
CPPUNIT_CFLAGS = 
CPPUNIT_LIBS = -lcppunit
CSCOPE = cscope
CTAGS = ctags
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -isystem /usr/local/include -g -O2 -Wno-reserved-identifier -Wno-unknown-warning-option -std=gnu++11 -Wno-system-headers -Wall -Wextra -Werror
CYGPATH_W = echo
DBLATEX = /usr/bin/dblatex
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPLOYED_UPSC = 
DEPLOYED_UPSD = 
DLLTOOL = false
DOC_BUILD_LIST =  man html-single html-chunked pdf
DOC_CHECK_LIST =  check-man check-html-single check-html-chunked check-pdf
DRIVER_BUILD_LIST = all
DRIVER_INSTALL_TARGET = 
DRIVER_MAN_LIST = all
DRIVER_MAN_LIST_PAGES = 
DRVPATH = /usr/local/ups/bin
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FORCE_NUT_VERSION = FORCE
GDLIB_CONFIG = 
GREP = /usr/bin/grep
HAVE_SYS_SOCKET_H = 1
HAVE_WINSOCK2_H = 0
HAVE_WS2TCPIP_H = 0
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBAVAHI_CFLAGS = -D_REENTRANT
LIBAVAHI_LIBS = -lavahi-common -lavahi-core -lavahi-common -lavahi-client
LIBDIR = /usr/local/ups/lib
LIBGD_CFLAGS = 
LIBGD_LDFLAGS =  -lgd
LIBGPIO_CFLAGS = 
LIBGPIO_LIBS = -lgpiod
LIBI2C_LIBS = -li2c 
LIBIPMI_CFLAGS = 
LIBIPMI_LIBS = -lfreeipmi -lipmimonitoring
LIBLTDL_CFLAGS = 
LIBLTDL_LIBS = -lltdl 
LIBMODBUS_CFLAGS = -I/usr/include/modbus
LIBMODBUS_LIBS = -lmodbus
LIBNEON_CFLAGS = -I/usr/include/neon
LIBNEON_LIBS = -lneon-gnutls
LIBNETSNMP_CFLAGS = 
LIBNETSNMP_LIBS = -lnetsnmp
LIBOBJS = 
LIBPOWERMAN_CFLAGS = 
LIBPOWERMAN_LIBS = -lpowerman
LIBREGEX_LIBS = 
LIBS = 
LIBSSL_CFLAGS = 
LIBSSL_LIBS = -lssl -lcrypto
LIBSSL_REQUIRES = openssl
LIBSYSTEMD_CFLAGS = 
LIBSYSTEMD_LIBS = -lsystemd
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ././/ltmain.sh
LIBUSB_CFLAGS = -I/usr/include/libusb-1.0
LIBUSB_CONFIG = /usr/bin/libusb-config
LIBUSB_LIBS = -lusb-1.0
LIBWRAP_CFLAGS = 
LIBWRAP_LIBS = -lnsl  -lwrap
LIPO = 
LN_S = ln -s
LN_S_R = ln -s -r
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAINT = 
MAKEINFO = ${SHELL} '/home/jim/nut/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
NETLIBS = 
NET_SNMP_CONFIG = /usr/bin/net-snmp-config
NM = /usr/bin/nm -B
NMEDIT = 
NUT_DATADIR = /usr/local/ups/share
NUT_LIBEXECDIR = /usr/local/ups/libexec
NUT_NETVERSION = 1.3
NUT_SOURCE_GITREV = v2.8.0-signed-2787-g4ba352d8f
OBJDUMP = objdump
OBJEXT = o
OS_NAME = ubuntu
OTOOL = 
OTOOL64 = 
PACKAGE = nut
PACKAGE_BUGREPORT = https://github.com/networkupstools/nut/issues
PACKAGE_NAME = nut
PACKAGE_STRING = nut 2.8.1
PACKAGE_TARNAME = nut
PACKAGE_URL = 
PACKAGE_VERSION = 2.8.1
PATH_SEPARATOR = :
PIDPATH = /run
PKGCONFIGDIR = /usr/local/ups/lib/pkgconfig
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PORT = 3493
POWERDOWNFLAG = /etc/killpower
PREFIX = /usr/local/ups
PYTHON = /usr/bin/python
PYTHON2 = /usr/bin/python2
PYTHON2_SITE_PACKAGES = /usr/local/lib/python2.7/dist-packages
PYTHON3 = /usr/bin/python3.10
PYTHON3_SITE_PACKAGES = /usr/local/lib/python3.10/dist-packages

=== debian/changelog ===
nut (2.8.1-5) unstable; urgency=medium

  * d/p/fixsoname.patch: Fix name of the dynamicly loaded libraties in
    nut-scanner (Closes: #1070205)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 27 Jun 2025 23:04:07 +0200

nut (2.8.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on telnetlib replacement. (Closes: #1093840)

 -- Bastian Germann <bage@debian.org>  Wed, 05 Mar 2025 14:29:15 +0100

nut (2.8.1-4) unstable; urgency=medium

  * Team upload (Debian namespace).
  * d/tests/testlib: remove unused code relying on crypt (Closes: #1084611)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Dec 2024 23:28:01 +0100

nut (2.8.1-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * No-changes source-only upload.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Sep 2024 08:03:46 +0200

nut (2.8.1-3.2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Revert unnecessary time64 transition for libnutscan.
  * Move files to /usr. (Closes: #1067790)

  [ Michael Biebl ]
  * Skip flaky test_daemons_pid which fails particularly often on
    armel when run via autopkgtest. (Closes: #1064670)
  * Add a strictly versioned libnutscan2 dependency to nut-server, to ensure
    that the t64 variant is replaced on upgrades.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Aug 2024 20:08:31 +0200

nut (2.8.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064256

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 01:26:20 +0000

nut (2.8.1-3) unstable; urgency=medium

  * debian/control: Add missing Breaks/Replaces on nut-modbus (Closes:
    #1060377)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 11 Jan 2024 17:01:16 +0100

nut (2.8.1-2) unstable; urgency=medium

  * Move the apc_modbus driver to the nut-modbus package.
    Thanks to Christian Ehrhardt <christian.ehrhardt@canonical.com>
    (Closes: #1059985)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 09 Jan 2024 20:26:06 +0100

nut (2.8.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * d/control,libnutscan2.symbols: Generalize hurd-i386 into hurd-any.

  [ Laurent Bigonville ]
  * New upstream release
    - Install new apc_modbus and sms_ser drivers
  * debian/patches/0001-reproductible-build.patch: Refreshed
  * debian/nut-server.install: Fix the name of nut-common tmpfiles
  * Fix installation of some documentation files
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)
  * debian/libnutscan2.symbols: Add newly exported symbols
  * debian/control: Drop lsb-base, to please lintian
  * debian/rules: Force to use /usr/bin/python3 executable
  * debian/nut-server.lintian-overrides: Remove unused override
  * debian/nut-monitor.install: Only install .ui files
  * Install the NUT-Monitor wrapper script
  * Cherry-pich upstream patches to fix several NUT-Monitor issues
    (Closes: #970240)
  * debian/patches/NoDisplay-nut-monitor-py3qt5.patch: Hide the desktop file
    for nut-monitor-py3qt5

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Dec 2023 13:31:17 +0100

=== debian/control ===
Source: nut
Section: admin
Priority: optional
Maintainer: Laurent Bigonville <bigon@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), asciidoc <!nodoc>,
               debhelper (>= 12),
               dh-python,
               docbook-xml <!nodoc>,
               libavahi-client-dev,
               libavahi-core-dev,
               libfreeipmi-dev [!hurd-any],
               libgd-dev | libgd2-xpm-dev | libgd2-noxpm-dev,
               libi2c-dev [linux-any],
               libipmimonitoring-dev [!hurd-any],
               libltdl-dev,
               libmodbus-dev,
               libneon27-gnutls-dev | libneon27-dev,
               libnss3-dev,
               libpowerman0-dev,
               libsnmp-dev | libsnmp9-dev,
               libusb-1.0-0-dev,
               libwrap0-dev,
               libxml2-utils <!nodoc>,
               python3:any,
               xsltproc <!nodoc>
Build-Depends-Indep: asciidoc-dblatex <!nodoc>,
                     dblatex <!nodoc>,
                     docbook-xsl <!nodoc>
Standards-Version: 4.6.2
Homepage: https://networkupstools.org/
Vcs-Browser: https://salsa.debian.org/debian/nut
Vcs-Git: https://salsa.debian.org/debian/nut.git

Package: nut
Architecture: all
Section: metapackages
Depends: nut-client, nut-server, ${misc:Depends}
Description: network UPS tools - metapackage
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package is a metapackage that installs both nut-server and nut-client,
 in most cases it is sufficient for a basic UPS monitoring system.

Package: nut-server
Architecture: any
Depends: adduser,
         nut-client (= ${binary:Version}),
         libnutscan2 (= ${binary:Version}),
         udev [linux-any],
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: nut-cgi, nut-i2c, nut-ipmi, nut-modbus, nut-snmp, nut-xml
Pre-Depends: ${misc:Pre-Depends}
Description: network UPS tools - core system
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides NUT's core system, and the serial and USB UPS
 drivers.

Package: nut-client
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Provides: ups-monitor
Conflicts: ups-monitor
Recommends: bash-completion
Suggests: nut-monitor
Replaces: ups-monitor
Pre-Depends: ${misc:Pre-Depends}
Description: network UPS tools - clients
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides NUT's clients that allows the user to control
 and monitor the UPS.

Package: nut-cgi
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Recommends: apache2 | httpd-cgi
Suggests: nut
Description: network UPS tools - web interface
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides an HTTP interface for Network UPS Tools which makes
 it possible to monitor the core NUT system with a web browser.

Package: nut-i2c
Architecture: linux-any
Depends: nut-server (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: network UPS tools - I2C driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides nut-i2c, a collection of drivers for UPS systems
 with I2C-based communication protocols.

Package: nut-snmp
Architecture: any
Depends: nut-server (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: network UPS tools - SNMP driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides snmp-ups, the SNMP multi-MIB driver for UPS, which
 supports various MIBs including IETF, MGE, and APC. It adds an SNMP
 Manager interface to the core NUT system.

Package: nut-ipmi
Architecture: kfreebsd-any linux-any
Depends: nut-server (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: network UPS tools - IPMI driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package currently provides nut-ipmipsu, a driver which allows the user to
 monitor IPMI power supply units (PSU) found in servers of popular brands, such
 as Dell, HP, IBM. It adds an IPMI interface to the core NUT system.

Package: nut-modbus
Architecture: any
Depends: nut-server (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: nut-server (<< 2.8.1-2~)
Replaces: nut-server (<< 2.8.1-2~)
Description: network UPS tools - Modbus driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides nut-modbus, a collection of drivers for UPS systems
 with Modbus-based communication protocols.

Package: nut-xml
Architecture: any
Depends: nut-server (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: network UPS tools - XML/HTTP driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides netxml-ups, which supports UPS models from
 Eaton or MGE that use an XML/HTTP-based Network Management Card or
 Proxy.

Package: nut-powerman-pdu
Architecture: any
Depends: nut-server (= ${binary:Version}),
         powerman,
         ${misc:Depends},
         ${shlibs:Depends}
Description: network UPS tools - PowerMan PDU driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides powerman-pdu, which allows NUT clients to communicate
 with the PowerMan daemon to support PDUs.

Package: nut-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: doc-base
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Description: network UPS tools - documentation
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package contains FAQ, user, developer and packager documentation.

Package: libupsclient6t64
Provides: ${t64:Provides}
Conflicts: libupsclient6 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: network UPS tools - client library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the shared client library.

Package: libupsclient-dev
Section: libdevel
Architecture: any
Depends: libnss3-dev,
         libupsclient6t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: network UPS tools - development files
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the development files.

Package: libnutclient2t64
Provides: ${t64:Provides}
Conflicts: libnutclient2 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: network UPS tools - new client library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the new shared client library.

Package: libnutclient-dev
Section: libdevel
Architecture: any
Depends: libnutclient2t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: network UPS tools - development files for the new client library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the development files for the new client library.

Package: libnutscan2
Provides: libnutscan2t64 (= ${binary:Version})
Conflicts: libnutscan2t64 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: network UPS tools - scanner library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the shared scanner library.

Package: libnutscan-dev
Section: libdevel
Architecture: any
Depends: libnutscan2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libupsclient-dev (<< 2.7.4-9~)
Replaces: libupsclient-dev (<< 2.7.4-9~)
Multi-Arch: same
Description: network UPS tools - development files for the scanner library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the development files for the scanner library.

Package: python3-nut
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-zombie-telnetlib
Description: network UPS tools - Python3 bindings for NUT server
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr \
	                     --sysconfdir=/etc/nut \
	                     --includedir=/usr/include \
			     --mandir=/usr/share/man \
	                     --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
			     --libexecdir=/usr/libexec \
	                     --with-ssl --with-nss \
	                     --with-cgi \
	                     --with-dev \
	                     --enable-static \
	                     --with-statepath=/run/nut \
	                     --with-altpidpath=/run/nut \
	                     --with-drvpath=/usr/lib/nut \
	                     --with-cgipath=/usr/lib/cgi-bin/nut \
	                     --with-htmlpath=/usr/share/nut/www \
	                     --with-pidpath=/run/nut \
	                     --datadir=/usr/share/nut \
	                     --with-pkgconfig-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
	                     --with-user=nut --with-group=nut \
	                     --with-udev-dir=/usr/lib/udev \
			     --with-systemdsystemunitdir=/usr/lib/systemd/system \
	                     --with-systemdshutdowndir=/usr/lib/systemd/system-shutdown \
			     --with-systemdtmpfilesdir=/usr/lib/tmpfiles.d \
			     --with-python=python3 --with-python3=/usr/bin/python3


ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
# only build the full documentation if nut-doc is built
ifneq ($(filter nut-doc,$(shell dh_listpackages)),)
  DEB_CONFIGURE_EXTRA_FLAGS+=--with-doc=man,html-single,html-chunked,pdf
else
  DEB_CONFIGURE_EXTRA_FLAGS+=--with-doc=man
endif
else
  DEB_CONFIGURE_EXTRA_FLAGS+=--with-doc=no
endif

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_install-arch:
	dh_auto_install

	# install the bash completion script
	mkdir -p $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/
	cp $(CURDIR)/scripts/misc/nut.bash_completion \
		$(CURDIR)/debian/tmp/usr/share/bash-completion/completions/nut

	# install the avahi service file
	mkdir -p $(CURDIR)/debian/tmp/etc/avahi/services
	cp $(CURDIR)/scripts/avahi/nut.service \
		$(CURDIR)/debian/tmp/etc/avahi/services

	# install Augeas lenses
	mkdir -p $(CURDIR)/debian/tmp/usr/share/augeas/lenses/tests
	cp $(CURDIR)/scripts/augeas/*.aug \
		$(CURDIR)/debian/tmp/usr/share/augeas/lenses/
	cp $(CURDIR)/scripts/augeas/tests/test_nut.aug \
		$(CURDIR)/debian/tmp/usr/share/augeas/lenses/tests/

	# install the default configuration
	for f in $(CURDIR)/debian/tmp/etc/nut/*; do           \
		nf=`basename $${f} | sed 's/\(.*\).sample/\1/'`;  \
		mv $${f} $(CURDIR)/debian/tmp/etc/nut/$${nf};  \
	done

	# Move daemons and install wrappers
	mv $(CURDIR)/debian/tmp/usr/sbin/upsmon $(CURDIR)/debian/tmp/usr/lib/nut/upsmon
	mv $(CURDIR)/debian/tmp/usr/sbin/upsd $(CURDIR)/debian/tmp/usr/lib/nut/upsd
	install -m 0755 debian/local/upsmon $(CURDIR)/debian/tmp/usr/sbin/upsmon
	install -m 0755 debian/local/upsd $(CURDIR)/debian/tmp/usr/sbin/upsd

	# Add a symlink to mask the LSB initscript
	ln -s nut-monitor.service $(CURDIR)/debian/tmp/usr/lib/systemd/system/nut-client.service
	ln -s /dev/null $(CURDIR)/debian/tmp/usr/lib/systemd/system/ups-monitor.service

	# install apport hooks
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut-server.py
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut-client.py

override_dh_auto_install-indep:
ifneq ($(filter nut-doc,$(shell dh_listpackages)),)
	#install documentation
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/pdf
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html
	cp $(CURDIR)/docs/*.pdf $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/pdf
	cp $(CURDIR)/docs/FAQ.html $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html

	for f in $(CURDIR)/docs/*.chunked/; do \
		nf=`basename $${f} | sed 's/\(.*\)\.chunked/\1/'`; \
		cp -a $${f} $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html/$${nf}/; \
	done
endif

	# install apport hooks
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut.py

override_dh_installinit:
	dh_installinit --error-handler=handle_start_failure

override_dh_compress:
	dh_compress -X.pdf

override_dh_installdocs:
	dh_installdocs -A ./README.adoc ./NEWS.adoc TODO.adoc ./AUTHORS

override_dh_installchangelogs:
# dh_installchangelogs automagically rename history.txt to changelog, let's try
# to avoid that
	dh_installchangelogs -pnut -Xhistory.txt
	dh_installchangelogs --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -plibnutclient2t64 -V'libnutclient2t64 (= ${DEB_VERSION})'
	dh_makeshlibs -Nlibnutclient2t64
